> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rownd.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a magic link

> Enables the user identified by their access token to create a magic link for themselves. Useful for signing in to a new device via QR code, among other things.




## OpenAPI

````yaml POST /me/auth/magic
openapi: 3.1.0
info:
  title: Rownd API
  version: 1.0.0
servers:
  - url: https://api.rownd.io
    description: Rownd production environment
  - url: https://api.us-east-2.dev.rownd.io
    description: Rownd development environment
security:
  - hubAccessTokenForRowndApi: []
tags:
  - name: applications
  - name: application_creds
  - name: application_schemas
paths:
  /me/auth/magic:
    post:
      description: >
        Enables the user identified by their access token to create a magic link
        for themselves. Useful for signing in to a new device via QR code, among
        other things.
      operationId: my_auth_magic_create
      requestBody:
        content:
          application/json:
            schema:
              properties:
                redirect_url:
                  type: string
      responses:
        '200':
          description: Magic link created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MagicLinkCreateResponse'
      security:
        - hubAccessToken: []
components:
  schemas:
    MagicLinkCreateResponse:
      properties:
        link:
          type: string
          description: The magic link URL
          example: https://rownd.link/c8fLG0a
        app_user_id:
          type: string
          description: >
            The user ID specified during creation or the resolved user ID if one
            of the directives

            was specified (e.g. `'__default__'`)
          example: user_fmpsrdqfcqzyicf3msor42e8
  securitySchemes:
    hubAccessTokenForRowndApi:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>` where
        `<token>` is your Rownd JWT
    hubAccessToken:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>` where
        `<token>` is the user's Rownd JWT

````